cURL
curl --request PUT \ --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/event_log_streaming/:destination_type \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "destination_config": { "datadog": { "api_key": "<string>", "site": "US" }, "grafana_loki": { "hostname": "<string>", "username": "<string>", "password": "<string>" } } } '
{ "request_id": "<string>", "event_log_streaming_config": { "destination_type": "DATADOG", "destination_config": { "datadog": { "api_key": "<string>", "site": "US" }, "grafana_loki": { "hostname": "<string>", "username": "<string>", "password": "<string>" } }, "streaming_status": "ACTIVE" }, "status_code": 123 }
Update updates an event log streaming config for an environment.
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Basic <encoded-value>
<encoded-value>
username:password
DATADOG
GRAFANA_LOKI
Request type
Show child attributes
Successful response
Response type